Skip to main content
POST
/
api
/
external
/
v2
/
subscription-groups
/
{id}
/
bulk-add-products
curl --request POST \
  --url https://subscription-admin.appstle.com/api/external/v2/subscription-groups/{id}/bulk-add-products \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <x-api-key>' \
  --data '
{
  "productIds": [
    987654321,
    987654322,
    987654323,
    987654324,
    987654325
  ],
  "variantIds": []
}
'
{}

Documentation Index

Fetch the complete documentation index at: https://appstleinc-aeca3e0a.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Headers

X-API-Key
string
required

API Key for authentication

Path Parameters

id
integer<int64>
required

Subscription group ID (numeric ID)

Query Parameters

api_key
string

API Key (Deprecated - Use X-API-Key header instead)

Body

application/json

Product and variant IDs to add to the subscription group

productIds
integer<int64>[]
variantIds
integer<int64>[]

Response

Products/variants successfully added

The response is of type object.